Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.clearspace
Class ClearspaceMUCTranscriptManager

    java.lang.Object
      org.jivesoftware.openfire.clearspace.ClearspaceMUCTranscriptManager

All Implemented Interfaces:
  MUCEventListener

    public class ClearspaceMUCTranscriptManager

extends Object
implements MUCEventListener

Stores MUC events that are intended to be recorded as a transcript for a group chat room in Clearspace. A task will periodically flush the queue of MUC events, sending them to the Clearspace component via XMPP for parsing and storing. Clearspace is expected to handle the packets containing MUC events by parsing them as they come in, accumulating them into a daily group chat transcript for the room it is associated with. The task will flush each queue of MUC events assoicated with a room based on either the size of the queue, or time. If the size of the queue exceeds a limit we have set, or a certain period of time has elapsed, the queue will be sent to Clearspace -- whichever happens first. (When we say size of the queue, we really mean the effective size as it will appear in a transcript-update packet). Example of a transcript-update packet: 14-1234@clearspace-conference.example.org 1207933781000 14-1234@clearspace-conference.example.org 1207933783000
user2, I won the lottery!
14-1234@clearspace-conference.example.org 1207933785000
WHAT?!
14-1234@clearspace-conference.example.org 1207933787000
April Fools!
14-1234@clearspace-conference.example.org 1207933789000 14-1234@clearspace-conference.example.org 120793379100
Wow, that was lame.
...

Author:
  Armando Jagucki

Constructor Summary
`ClearspaceMUCTranscriptManager(TaskEngine taskEngine)`

Method Summary
`void` | `messageReceived(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String nickname, org.xmpp.packet.Message message)` Event triggered when a room occupant sent a message to a room.
`void` | `nicknameChanged(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String oldNickname, String newNickname)` Event triggered when an occupant changed his nickname in a room.
`void` | `occupantJoined(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String nickname)` Event triggered when a new occupant joins a room.
`void` | `occupantLeft(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user)` Event triggered when an occupant left a room.
`void` | `privateMessageRecieved(org.xmpp.packet.JID fromJID, org.xmpp.packet.JID toJID, org.xmpp.packet.Message message)` Event triggered when a room occupant sent a private message to another room user
`void` | `roomCreated(org.xmpp.packet.JID roomJID)` Event triggered when a new room was created.
`void` | `roomDestroyed(org.xmpp.packet.JID roomJID)` Event triggered when a room was destroyed.
`void` | `roomSubjectChanged(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String newSubject)` Event triggered when the subject of a room is changed.
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClearspaceMUCTranscriptManager

    public ClearspaceMUCTranscriptManager(TaskEngine taskEngine)

Method Detail

### start

    public void start()

### stop

    public void stop()

### roomCreated

    public void roomCreated(org.xmpp.packet.JID roomJID)

  Description copied from interface: `MUCEventListener`
  Event triggered when a new room was created.

  Specified by:
    `roomCreated` in interface `MUCEventListener`
  Parameters:
    `roomJID` - JID of the room that was created.

### roomDestroyed

    public void roomDestroyed(org.xmpp.packet.JID roomJID)

  Description copied from interface: `MUCEventListener`
  Event triggered when a room was destroyed.

  Specified by:
    `roomDestroyed` in interface `MUCEventListener`
  Parameters:
    `roomJID` - JID of the room that was destroyed.

### occupantJoined

    public void occupantJoined(org.xmpp.packet.JID roomJID,
                               org.xmpp.packet.JID user,
                               String nickname)

  Description copied from interface: `MUCEventListener`
  Event triggered when a new occupant joins a room.

  Specified by:
    `occupantJoined` in interface `MUCEventListener`
  Parameters:
    `roomJID` - the JID of the room where the occupant has joined.
    `user` - the JID of the user joining the room.
    `nickname` - nickname of the user in the room.

### occupantLeft

    public void occupantLeft(org.xmpp.packet.JID roomJID,
                             org.xmpp.packet.JID user)

  Description copied from interface: `MUCEventListener`
  Event triggered when an occupant left a room.

  Specified by:
    `occupantLeft` in interface `MUCEventListener`
  Parameters:
    `roomJID` - the JID of the room where the occupant has left.
    `user` - the JID of the user leaving the room.

### nicknameChanged

    public void nicknameChanged(org.xmpp.packet.JID roomJID,
                                org.xmpp.packet.JID user,
                                String oldNickname,
                                String newNickname)

  Description copied from interface: `MUCEventListener`
  Event triggered when an occupant changed his nickname in a room.

  Specified by:
    `nicknameChanged` in interface `MUCEventListener`
  Parameters:
    `roomJID` - the JID of the room where the user changed his nickname.
    `user` - the JID of the user that changed his nickname.
    `oldNickname` - old nickname of the user in the room.
    `newNickname` - new nickname of the user in the room.

### messageReceived

    public void messageReceived(org.xmpp.packet.JID roomJID,
                                org.xmpp.packet.JID user,
                                String nickname,
                                org.xmpp.packet.Message message)

  Description copied from interface: `MUCEventListener`
  Event triggered when a room occupant sent a message to a room.

  Specified by:
    `messageReceived` in interface `MUCEventListener`
  Parameters:
    `roomJID` - the JID of the room that received the message.
    `user` - the JID of the user that sent the message.
    `nickname` - nickname used by the user when sending the message.
    `message` - the message sent by the room occupant.

### privateMessageRecieved

    public void privateMessageRecieved(org.xmpp.packet.JID fromJID,
                                       org.xmpp.packet.JID toJID,
                                       org.xmpp.packet.Message message)

  Description copied from interface: `MUCEventListener`
  Event triggered when a room occupant sent a private message to another room user

  Specified by:
    `privateMessageRecieved` in interface `MUCEventListener`
  Parameters:
    `fromJID` - the JID of who the message is to.
    `toJID` - the JID of who the message came from.
    `message` - the message sent to user.

### roomSubjectChanged

    public void roomSubjectChanged(org.xmpp.packet.JID roomJID,
                                   org.xmpp.packet.JID user,
                                   String newSubject)

  Description copied from interface: `MUCEventListener`
  Event triggered when the subject of a room is changed.

  Specified by:
    `roomSubjectChanged` in interface `MUCEventListener`
  Parameters:
    `roomJID` - the JID of the room that had its subject changed.
    `user` - the JID of the user that changed the subject.
    `newSubject` - new room subject.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.